curl --request GET \
--url https://demo.enneo.ai/api/mind/intent/preview/{aiAgentId} \
--header 'Authorization: Bearer <token>'{
"id": 1211221,
"code": "process_meter_reading",
"name": "Process a meter reading",
"contractId": "746839",
"confidence": 0.95,
"confidenceColor": "warning",
"verified": false,
"context": {},
"messagePreview": "We have successfully processed your meter reading",
"recipient": "john@smith.com",
"tags": "prePopulated",
"data": {},
"options": [
{
"type": "enter_into_system",
"name": "Eintragen",
"icon": "check",
"recommended": true,
"order": 1
},
{
"type": "ignore",
"name": "Ignorieren",
"icon": "cancel",
"recommended": false,
"order": 2
},
{
"type": "forward_to_vnb",
"name": "An VNB verweisen",
"icon": "questionMark",
"recommended": false,
"order": 3
}
],
"infos": [
{
"type": "warning",
"message": "Reading is plausible",
"extraInfo": "Expected reading was 421 kWh. Plausbible because difference to 317 kWh is below threshold of 200 kWh"
}
],
"extraInfo": null,
"outcome": {
"aiAgentId": 1,
"success": true,
"messageLocalized": "Powercloud accepted meter reading",
"internalData": {
"requestEndpoint": "saveReadingByContractId",
"requestParams": "readingValue=21;date=2022-12-31"
},
"executedAt": "2022-12-13 22:18:06",
"userId": 1,
"sent": true,
"ticketClosed": true,
"recipient": "john@smith.com",
"message": "We successfully processed your meter reading of 21 kWh dated Dec 31, 2022",
"template": "<p>Dear John,</p><p>%MESSAGE%</p><i>Mike from your service team</i>",
"sources": [
{
"type": "knowledgeSource",
"id": 376189,
"name": "Opening hours",
"url": "https://company.com/faq/376189",
"text": "Our service hours are from 8am to 5pm. We are closed on weekends. [...]"
}
],
"txId": "c916167c94"
}
}curl --request GET \
--url https://demo.enneo.ai/api/mind/intent/preview/{aiAgentId} \
--header 'Authorization: Bearer <token>'{
"id": 1211221,
"code": "process_meter_reading",
"name": "Process a meter reading",
"contractId": "746839",
"confidence": 0.95,
"confidenceColor": "warning",
"verified": false,
"context": {},
"messagePreview": "We have successfully processed your meter reading",
"recipient": "john@smith.com",
"tags": "prePopulated",
"data": {},
"options": [
{
"type": "enter_into_system",
"name": "Eintragen",
"icon": "check",
"recommended": true,
"order": 1
},
{
"type": "ignore",
"name": "Ignorieren",
"icon": "cancel",
"recommended": false,
"order": 2
},
{
"type": "forward_to_vnb",
"name": "An VNB verweisen",
"icon": "questionMark",
"recommended": false,
"order": 3
}
],
"infos": [
{
"type": "warning",
"message": "Reading is plausible",
"extraInfo": "Expected reading was 421 kWh. Plausbible because difference to 317 kWh is below threshold of 200 kWh"
}
],
"extraInfo": null,
"outcome": {
"aiAgentId": 1,
"success": true,
"messageLocalized": "Powercloud accepted meter reading",
"internalData": {
"requestEndpoint": "saveReadingByContractId",
"requestParams": "readingValue=21;date=2022-12-31"
},
"executedAt": "2022-12-13 22:18:06",
"userId": 1,
"sent": true,
"ticketClosed": true,
"recipient": "john@smith.com",
"message": "We successfully processed your meter reading of 21 kWh dated Dec 31, 2022",
"template": "<p>Dear John,</p><p>%MESSAGE%</p><i>Mike from your service team</i>",
"sources": [
{
"type": "knowledgeSource",
"id": 376189,
"name": "Opening hours",
"url": "https://company.com/faq/376189",
"text": "Our service hours are from 8am to 5pm. We are closed on weekends. [...]"
}
],
"txId": "c916167c94"
}
}JWT-based authentication
The ID of the AI agent to preview
x >= 0The ticketId for which to tailor the response to. A future release will also support an intent preview without linking it to a ticketId
Successful operation
An intent of a customer that he wants to be resolved by contacting us
Internal ID of intent
1211221
Intent model code that resolves a specific issue. Currently supported is process_meter_reading, process_bank_data and process_installment_change
"process_meter_reading"
User-readable name of intent as defined by client
"Process a meter reading"
"746839"
Confidence how certain the AI is that this is correct. 0.95 means for example 95% certain. Defaults to 100% when verified by human.
0.95
A color indication of an intent showing the user how much user interaction is needed. 'success' indicates the AI is ready to execute, all other codes require user interaction first
success, neutral, warning, danger "warning"
True if intent has been verified by human
false
Intent-specific additional data to be shown to the user so he has relevant information about the intent. Data type varies by intent code
A preview of the response a customer would receive when executing this intent. Not always available, e.g. when the respond depends on user-input
"We have successfully processed your meter reading"
"john@smith.com"
Tags to show to the user. prePopulated means that all properties are already pre-filled by the AI and the user can just insert the template to the body. adaptionNeeded is the opposite, and means the user still needs to modify the text. writesToErp means that upon execution of the intent a write is done to the ERP system, like a insertion of a meter reading or the creation of a bill.
prePopulated, adaptionNeeded, writesToErp Intent-specific data object showing all the data that was extracted from the ticket in a structured form. Data type varies by intent code
Different options that the user is given. Every option is a new button in the UI
Anzeigen untergeordnete attribute
[
{
"type": "enter_into_system",
"name": "Eintragen",
"icon": "check",
"recommended": true,
"order": 1
},
{
"type": "ignore",
"name": "Ignorieren",
"icon": "cancel",
"recommended": false,
"order": 2
},
{
"type": "forward_to_vnb",
"name": "An VNB verweisen",
"icon": "questionMark",
"recommended": false,
"order": 3
}
]Anzeigen untergeordnete attribute
Extra-Information shown in tooltip. Info-Icon only shown if not null
null
Shows the outcome (if the intent was already executed)
Anzeigen untergeordnete attribute